%define upstream_name    Math-Random
%define upstream_version 0.71

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Random Number Generators
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
*Math::Random* is a *Perl* port of the *C* version of *randlib*, which is a
suite of routines for generating random deviates. See the "RANDLIB" manpage
for more information.

This port supports all of the distributions from which the *Fortran* and
*C* versions generate deviates. The major functionalities that are excluded
are the multiple generators/splitting facility and antithetic random number
generation. These facilities, along with some of the distributions which
_are_ included, are probably not of interest except to the very
sophisticated user. If there is sufficient interest, the excluded
facilities will be included in a future release. The code to perform the
excluded facilities is available as *randlib* in *Fortran* and *C* source.

Default Routines
    The routines which are exported by default are the only ones that the
    average Perl programmer is likely to need.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.710.0-7.mga4
+ Revision: 524419
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.710.0-6.mga4
+ Revision: 430886
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.710.0-5.mga3
+ Revision: 369655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.710.0-4.mga3
+ Revision: 250947
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.710.0-3.mga2
+ Revision: 104786
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.710.0-2.mga1
+ Revision: 30815
- mageia rebuild
- imported package perl-Math-Random

